Subject: bug#17742: Acknowledgement (Support for enchant?)

From: Reuben Thomas <[email-masked]>
Date: Mon, 19 Dec 2016 21:21:21 +0000

On 19 December 2016 at 18:09, Eli Zaretskii <[email-masked]> wrote:

> > Date: Mon, 19 Dec 2016 18:37:19 +0100
> > From: Agustin Martin <[email-masked]>
> > Cc: Reuben Thomas <[email-masked]>
> >
> > >   (string-match "[[:alpha:]]+" "aβגд") => 0
> > >
> > > > ​I meant [[:graph:]] and [^[:graph:]].​
> > >
> > > This will match an even larger set in Emacs 25, I don't think we will
> > > ever want that for spell-checking.
> >
> > Hi,
> >
> > Not following this very closely, but ispell.el still use [:alpha:] for
> > aspell and hunspell. If I remember this properly, old meaning means
> > something like "as for current locale" while it has now a much wider
> > meaning.
> >
> > For the vast majority of systems this should not be a problem, but I
> wonder
> > if this can have some side effects for ispell.el in corner cases.
>
> Yes, I think we should revise those places not to use [:alpha:].
>

​I have proposed a revision of my patch for bug #​25230 to not use
[:alpha:] for the built-in ispell dictionaries.

-- 
http://rrt.sc3d.org